---
title: "List a project's domains, by name"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Domains API

`GET /v1/organizations/{orgId}/projects/{projectId}/domains`

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `oauth`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie

## Path parameters

- `ListDomains.path.orgId` (string, required) — UUID or prefixed ID (org_…)
- `ListDomains.path.projectId` (string, required) — UUID or prefixed ID (prj_…)

## Query parameters

- `ListDomains.query.limit` (integer, optional) — The page size. Out of range is 400, never a clamp.
  - min 1; max 100; default `20`
- `ListDomains.query.cursor` (string, optional) — The previous page's nextCursor. Bound to the organization, the list and its filters.

## Code samples

### cURL

```curl
curl --request GET \
  --url https://domains-api.ezghcloud.com/v1/organizations/string/projects/string/domains \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://domains-api.ezghcloud.com/v1/organizations/string/projects/string/domains';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://domains-api.ezghcloud.com/v1/organizations/string/projects/string/domains"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

A page of domains.

#### Example

```json
{
  "domains": [
    {
      "autoRenew": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "dnssec": {
        "enabled": true,
        "status": "off"
      },
      "domain": "string",
      "expiresAt": "2019-08-24T14:15:22Z",
      "failure": {
        "code": "string",
        "message": "string"
      },
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "nameservers": {
        "hostnames": [
          "string"
        ],
        "mode": "ezgh"
      },
      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
      "privacy": true,
      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
      "region": "string",
      "registrant": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "companyName": "string",
        "country": "string",
        "email": "string",
        "firstName": "string",
        "lastName": "string",
        "phone": "string",
        "state": "string",
        "zip": "string"
      },
      "registrantVerification": "pending",
      "renewal": {
        "lastFailure": {
          "code": "string",
          "message": "string"
        },
        "nextAt": "2019-08-24T14:15:22Z",
        "price": "string"
      },
      "resourceName": "string",
      "slug": "string",
      "status": "registering",
      "tags": {
        "property1": "string",
        "property2": "string"
      },
      "termsVersion": "string",
      "updatedAt": "2019-08-24T14:15:22Z",
      "zoneId": "string"
    }
  ],
  "nextCursor": "string"
}
```

- `ListDomains.response.200.domains` (array<object>, required)
  - `ListDomains.response.200.domains.autoRenew` (boolean, required)
  - `ListDomains.response.200.domains.createdAt` (string, required)
    - format `date-time`
  - `ListDomains.response.200.domains.dnssec` (object, required)
    - `ListDomains.response.200.domains.dnssec.enabled` (boolean, required)
    - `ListDomains.response.200.domains.dnssec.status` (string, required)
      - one of `"off"`, `"pending"`, `"published"`, `"removing"`, `"failed"`
  - `ListDomains.response.200.domains.domain` (string, required)
  - `ListDomains.response.200.domains.expiresAt` (string | null, required)
    - format `date-time`
  - `ListDomains.response.200.domains.failure` (object | null, required)
    - `ListDomains.response.200.domains.failure.code` (string, required)
    - `ListDomains.response.200.domains.failure.message` (string, required)
  - `ListDomains.response.200.domains.id` (string, required)
    - format `uuid`
  - `ListDomains.response.200.domains.name` (string, required)
  - `ListDomains.response.200.domains.nameservers` (object, required)
    - `ListDomains.response.200.domains.nameservers.hostnames` (array<string>, required)
    - `ListDomains.response.200.domains.nameservers.mode` (string, required)
      - one of `"ezgh"`, `"external"`
  - `ListDomains.response.200.domains.organizationId` (string, required)
    - format `uuid`
  - `ListDomains.response.200.domains.privacy` (boolean, required)
  - `ListDomains.response.200.domains.projectId` (string, required)
    - format `uuid`
  - `ListDomains.response.200.domains.region` (string, required) — Empty: domains aren't regional.
  - `ListDomains.response.200.domains.registrant` (one of, required) — The domain's own registrant, or null for the organization's default.
    - one of: [Contact](/domains-api/schemas/Contact/), `null`
  - `ListDomains.response.200.domains.registrantVerification` (string | null, required)
    - one of `"pending"`, `"verified"`, `"failed"`, `null`
  - `ListDomains.response.200.domains.renewal` (object, required)
    - `ListDomains.response.200.domains.renewal.lastFailure` (object | null, required)
      - `ListDomains.response.200.domains.renewal.lastFailure.code` (string, required)
      - `ListDomains.response.200.domains.renewal.lastFailure.message` (string, required)
    - `ListDomains.response.200.domains.renewal.nextAt` (string | null, required)
      - format `date-time`
    - `ListDomains.response.200.domains.renewal.price` (string | null, required) — Our one-year renewal price, USD; set for active and expired domains.
  - `ListDomains.response.200.domains.resourceName` (string, required)
  - `ListDomains.response.200.domains.slug` (string, required) — dom_…
  - `ListDomains.response.200.domains.status` (string, required)
    - one of `"registering"`, `"active"`, `"expired"`, `"failed"`, `"deleted"`
  - `ListDomains.response.200.domains.tags` (map<string>, required) — At most 50; keys 1-128 characters, values at most 256, keys starting with ezgh: are reserved.
  - `ListDomains.response.200.domains.termsVersion` (string, required)
  - `ListDomains.response.200.domains.updatedAt` (string, required)
    - format `date-time`
  - `ListDomains.response.200.domains.zoneId` (string | null, required) — The EZGH DNS zone's zon_ slug.
- `ListDomains.response.200.nextCursor` (string | null, required)

### 400

invalid_request (with issues), invalid_cursor, or the endpoint's own 400 codes.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListDomains.response.400.error` (object, required)
  - `ListDomains.response.400.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListDomains.response.400.error.message` (string, required)
    - maxLength 1024
  - `ListDomains.response.400.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListDomains.response.400.error.issues.message` (string, required)
    - `ListDomains.response.400.error.issues.path` (string, required)
  - `ListDomains.response.400.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListDomains.response.400.error.quota.id` (string, required)
    - `ListDomains.response.400.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListDomains.response.400.error.quota.limit` (integer, required)
      - min 0
    - `ListDomains.response.400.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListDomains.response.400.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListDomains.response.400.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListDomains.response.400.error.quota.region` (string, optional)
    - `ListDomains.response.400.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListDomains.response.400.error.quota.scopeResourceName` (string, optional)
    - `ListDomains.response.400.error.quota.used` (integer, optional)
      - min 0
    - `ListDomains.response.400.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 401

unauthenticated: no credential, or one that doesn't check out.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListDomains.response.401.error` (object, required)
  - `ListDomains.response.401.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListDomains.response.401.error.message` (string, required)
    - maxLength 1024
  - `ListDomains.response.401.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListDomains.response.401.error.issues.message` (string, required)
    - `ListDomains.response.401.error.issues.path` (string, required)
  - `ListDomains.response.401.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListDomains.response.401.error.quota.id` (string, required)
    - `ListDomains.response.401.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListDomains.response.401.error.quota.limit` (integer, required)
      - min 0
    - `ListDomains.response.401.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListDomains.response.401.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListDomains.response.401.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListDomains.response.401.error.quota.region` (string, optional)
    - `ListDomains.response.401.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListDomains.response.401.error.quota.scopeResourceName` (string, optional)
    - `ListDomains.response.401.error.quota.used` (integer, optional)
      - min 0
    - `ListDomains.response.401.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 403

access_denied: the caller's policies don't allow the action; forbidden_origin: a cookie-authenticated write from an origin that isn't allowed; spend_limit_reached.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListDomains.response.403.error` (object, required)
  - `ListDomains.response.403.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListDomains.response.403.error.message` (string, required)
    - maxLength 1024
  - `ListDomains.response.403.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListDomains.response.403.error.issues.message` (string, required)
    - `ListDomains.response.403.error.issues.path` (string, required)
  - `ListDomains.response.403.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListDomains.response.403.error.quota.id` (string, required)
    - `ListDomains.response.403.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListDomains.response.403.error.quota.limit` (integer, required)
      - min 0
    - `ListDomains.response.403.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListDomains.response.403.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListDomains.response.403.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListDomains.response.403.error.quota.region` (string, optional)
    - `ListDomains.response.403.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListDomains.response.403.error.quota.scopeResourceName` (string, optional)
    - `ListDomains.response.403.error.quota.used` (integer, optional)
      - min 0
    - `ListDomains.response.403.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 404

not_found: unknown, malformed, or in an organization the caller isn't in.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListDomains.response.404.error` (object, required)
  - `ListDomains.response.404.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListDomains.response.404.error.message` (string, required)
    - maxLength 1024
  - `ListDomains.response.404.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListDomains.response.404.error.issues.message` (string, required)
    - `ListDomains.response.404.error.issues.path` (string, required)
  - `ListDomains.response.404.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListDomains.response.404.error.quota.id` (string, required)
    - `ListDomains.response.404.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListDomains.response.404.error.quota.limit` (integer, required)
      - min 0
    - `ListDomains.response.404.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListDomains.response.404.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListDomains.response.404.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListDomains.response.404.error.quota.region` (string, optional)
    - `ListDomains.response.404.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListDomains.response.404.error.quota.scopeResourceName` (string, optional)
    - `ListDomains.response.404.error.quota.used` (integer, optional)
      - min 0
    - `ListDomains.response.404.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 429

too_many_requests, with Retry-After; or quota_exceeded (a rate, usage or concurrency quota, with quota), never with Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListDomains.response.429.error` (object, required)
  - `ListDomains.response.429.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListDomains.response.429.error.message` (string, required)
    - maxLength 1024
  - `ListDomains.response.429.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListDomains.response.429.error.issues.message` (string, required)
    - `ListDomains.response.429.error.issues.path` (string, required)
  - `ListDomains.response.429.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListDomains.response.429.error.quota.id` (string, required)
    - `ListDomains.response.429.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListDomains.response.429.error.quota.limit` (integer, required)
      - min 0
    - `ListDomains.response.429.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListDomains.response.429.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListDomains.response.429.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListDomains.response.429.error.quota.region` (string, optional)
    - `ListDomains.response.429.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListDomains.response.429.error.quota.scopeResourceName` (string, optional)
    - `ListDomains.response.429.error.quota.used` (integer, optional)
      - min 0
    - `ListDomains.response.429.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 500

internal_error: a bug; the details are in the logs, under the request ID.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListDomains.response.500.error` (object, required)
  - `ListDomains.response.500.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListDomains.response.500.error.message` (string, required)
    - maxLength 1024
  - `ListDomains.response.500.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListDomains.response.500.error.issues.message` (string, required)
    - `ListDomains.response.500.error.issues.path` (string, required)
  - `ListDomains.response.500.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListDomains.response.500.error.quota.id` (string, required)
    - `ListDomains.response.500.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListDomains.response.500.error.quota.limit` (integer, required)
      - min 0
    - `ListDomains.response.500.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListDomains.response.500.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListDomains.response.500.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListDomains.response.500.error.quota.region` (string, optional)
    - `ListDomains.response.500.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListDomains.response.500.error.quota.scopeResourceName` (string, optional)
    - `ListDomains.response.500.error.quota.used` (integer, optional)
      - min 0
    - `ListDomains.response.500.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 503

unavailable: a dependency the request needs is down. Retry after Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListDomains.response.503.error` (object, required)
  - `ListDomains.response.503.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListDomains.response.503.error.message` (string, required)
    - maxLength 1024
  - `ListDomains.response.503.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListDomains.response.503.error.issues.message` (string, required)
    - `ListDomains.response.503.error.issues.path` (string, required)
  - `ListDomains.response.503.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListDomains.response.503.error.quota.id` (string, required)
    - `ListDomains.response.503.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListDomains.response.503.error.quota.limit` (integer, required)
      - min 0
    - `ListDomains.response.503.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListDomains.response.503.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListDomains.response.503.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListDomains.response.503.error.quota.region` (string, optional)
    - `ListDomains.response.503.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListDomains.response.503.error.quota.scopeResourceName` (string, optional)
    - `ListDomains.response.503.error.quota.used` (integer, optional)
      - min 0
    - `ListDomains.response.503.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.


Source: https://docs.ezghcloud.com/domains-api/ListDomains/index.md
